# Appointment Types

Use the `appointmentTypes` to get the information of all appointments created in the [Calendar tab.](/telewellness-portal/user-management/manage-coaches/calendar-tab.md)

### Available Fields

|  **Field Name**  |       **Type**      |                                            **Description**                                           |
| :--------------: | :-----------------: | :--------------------------------------------------------------------------------------------------: |
|       `id`       |          ID         |                                         Appointment unique ID                                        |
|      `title`     |        String       |                                           Appointment title                                          |
|    `createdAt`   |       DateTime      |                            Date and time when the appointment is created.                            |
|    `updatedAt`   |       DateTime      |                            Date and time when the appointment is updated.                            |
| `numberOfMember` |         Int         |                               Number of members set in the appointment.                              |
|   `durationMin`  |         Int         |                              Appointment duration. Expressed in minutes.                             |
|   `contactType`  | CalendarContactType | Appointment contact type. Possible Values: "`VIDEO_CALL`", "`PHONE_CALL`", "`ZOOM`", "`GOOGLE_MEET`" |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
{
  appointmentTypes {
    types {
      id
      title
      createdAt
      updatedAt
      numberOfMember
      durationMin
      contactType
      coachesPool{
        name
        email
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "appointmentTypes": {
      "types": [
        {
          "id": "QXBwb2ludG1lbnRUeXBlOjU=",
          "title": "Onboarding call ",
          "createdAt": "2022-01-28T21:07:46.085118+00:00",
          "updatedAt": "2022-02-07T15:02:40.569326+00:00",
          "numberOfMember": 2,
          "durationMin": 30,
          "contactType": [
            "VIDEO_CALL",
            "PHONE_CALL",
            "ZOOM",
            "GOOGLE_MEET"
          ],
          "coachesPool": []
        },
        {
          "id": "QXBwb2ludG1lbnRUeXBlOjM=",
          "title": "Coaching Support Call",
          "createdAt": "2022-01-10T21:40:04.947327+00:00",
          "updatedAt": "2022-01-11T13:42:21.870484+00:00",
          "numberOfMember": 2,
          "durationMin": 20,
          "contactType": [
            "ZOOM",
            "GOOGLE_MEET"
          ],
          "coachesPool": []
        },
        {
          "id": "QXBwb2ludG1lbnRUeXBlOjI=",
          "title": "Initial call",
          "createdAt": "2021-12-13T15:45:21.587646+00:00",
          "updatedAt": "2021-12-13T15:45:21.587688+00:00",
          "numberOfMember": 1,
          "durationMin": 30,
          "contactType": [
            "ZOOM",
            "VIDEO_CALL"
          ],
          "coachesPool": []
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}

Within the TeleWellness Portal, the appointment list is displayed as follows:

![](/files/5Fr25fWj5GR7ux5UHOxn)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/telewellness-portal/api-reference/appointments/appointment-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
